#version 100
#extension GL_OES_EGL_image_external : require

precision mediump float;

uniform samplerExternalOES texture;
varying vec2 texCoord;

void main() {
    // Video with removed background consists of two parts: alpha mask and base video.
    // The provided asset has the same width as the original video but twice the hight,
    // with the top part representing the alpha mask and bottom being the original video.
    vec2 mask_position = vec2(texCoord.x, texCoord.y / 2.0 - 0.00001);
    vec4 mask_color = texture2D(texture, mask_position);
    vec2 video_position = vec2(texCoord.x, texCoord.y / 2.0 + 0.49999);
    vec4 video_color = texture2D(texture, video_position);
    gl_FragColor = vec4(video_color.rgb, mask_color.r);
}
